IsUniform := function(G)

# ensure that the group G is finite and abelian
if not IsGroup(G) or not IsFinite(G) or not IsAbelian(G) then 
  Error("Usage: IsUniform(<G>) - where <G> is a finite abelian group\n");
fi;

return Size(MaximalSubgroups(G)) = 1;

end;