IsTypeSubgroup := function(G,P)

# returns true if P is a type subgroup of G

local type;

#ensure that G is a finite abelian group
if not IsGroup(G) or not IsFinite(G) or not IsAbelian(G) then
  Error("Usage: TypeSubgroups(<G>) - where <G> is a finite abelian group\n");
fi;

if P in TypeSubgroups(G) then type := true; else type := false; fi;

return type;

end;

